Imagick::edgeImage
Imagick::encipherImage
Imagick
PHP Manual

# Imagick::embossImage

(PECL imagick 2.0.0)

Imagick::embossImage — Returns a grayscale image with a three-dimensional effect

### Description

bool Imagick::embossImage ( float `$radius` , float `$sigma` )

Returns a grayscale image with a three-dimensional effect. We convolve the image with a Gaussian operator of the given radius and standard deviation (sigma). For reasonable results, radius should be larger than sigma. Use a radius of 0 and it will choose a suitable radius for you.

### Parameters

`radius`

  The radius of the effect

`sigma`

  The sigma of the effect

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::embossImage()

`<?php
function embossImage($imagePath, $radius, $sigma) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->embossImage($radius, $sigma);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`

Imagick::edgeImage
Imagick::encipherImage
Imagick
PHP Manual